JobPriority (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, enum: JobPriority

Package org.apache.hadoop.mapred

# Enum Class JobPriority

java.lang.Object
java.lang.Enum<JobPriority>
org.apache.hadoop.mapred.JobPriority

All Implemented Interfaces:
  `Serializable`, `Comparable<JobPriority>`, `Constable`

@Public @Stable public enum JobPriority extends Enum<JobPriority>
Used to describe the priority of the running job. DEFAULT : While submitting a job, if the user is not specifying priority, YARN has the capability to pick the default priority as per its config. Hence MapReduce can indicate such cases with this new enum. UNDEFINED_PRIORITY : YARN supports priority as an integer. Hence other than the five defined enums, YARN can consider other integers also. To generalize such cases, this specific enum is used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `HIGH`
  `LOW`
  `NORMAL`
  `UNDEFINED_PRIORITY`
  `VERY_HIGH`
  `VERY_LOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JobPriority`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JobPriority[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VERY_HIGH

    public static final JobPriority VERY_HIGH

  - ### HIGH

    public static final JobPriority HIGH

  - ### NORMAL

    public static final JobPriority NORMAL

  - ### LOW

    public static final JobPriority LOW

  - ### VERY_LOW

    public static final JobPriority VERY_LOW

  - ### DEFAULT

    public static final JobPriority DEFAULT

  - ### UNDEFINED_PRIORITY

    public static final JobPriority UNDEFINED_PRIORITY

- ## Method Details

  - ### values

    public static JobPriority[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JobPriority valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null